Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime
Class VelocimacroManager.MacroEntry

    java.lang.Object
      |
      +--org.apache.velocity.runtime.VelocimacroManager.MacroEntry

Enclosing class:
  VelocimacroManager

protected class VelocimacroManager.MacroEntry
extends java.lang.Object

wrapper class for holding VM information

Field Summary
`(package private) java.lang.String[]` | `argarray`
`(package private) boolean` | `fromLibrary`
`(package private) java.lang.String` | `macrobody`
`(package private) java.lang.String` | `macroname`
`(package private) VelocimacroManager` | `manager`
`(package private) SimpleNode` | `nodeTree`
`(package private) java.lang.String` | `sourcetemplate`

Constructor Summary
`(package private)` | `VelocimacroManager.MacroEntry(VelocimacroManager vmm, java.lang.String vmName, java.lang.String macroBody, java.lang.String[] argArray, java.lang.String sourceTemplate)`

Method Summary
`(package private) VelocimacroProxy` | `createVelocimacro(java.lang.String namespace)`
`boolean` | `getFromLibrary()`
`SimpleNode` | `getNodeTree()`
`java.lang.String` | `getSourceTemplate()`
`(package private) void` | `parseTree(InternalContextAdapter ica)`
`void` | `setFromLibrary(boolean b)`
`(package private) void` | `setup(InternalContextAdapter ica)`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### macroname

    java.lang.String macroname

### argarray

    java.lang.String[] argarray

### macrobody

    java.lang.String macrobody

### sourcetemplate

    java.lang.String sourcetemplate

### nodeTree

    SimpleNode nodeTree

### manager

    VelocimacroManager manager

### fromLibrary

    boolean fromLibrary

Constructor Detail

### VelocimacroManager.MacroEntry

    VelocimacroManager.MacroEntry(VelocimacroManager vmm,
                                  java.lang.String vmName,
                                  java.lang.String macroBody,
                                  java.lang.String[] argArray,
                                  java.lang.String sourceTemplate)

Method Detail

### setFromLibrary

    public void setFromLibrary(boolean b)

### getFromLibrary

    public boolean getFromLibrary()

### getNodeTree

    public SimpleNode getNodeTree()

### getSourceTemplate

    public java.lang.String getSourceTemplate()

### createVelocimacro

    VelocimacroProxy createVelocimacro(java.lang.String namespace)

### setup

    void setup(InternalContextAdapter ica)

### parseTree

    void parseTree(InternalContextAdapter ica)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation. All Rights Reserved.